import ts from "typescript";
export const stringToStatements = (code) => {
    const source = ts.createSourceFile("", code, ts.ScriptTarget.ESNext, false, ts.ScriptKind.TS);
    return Array.from(source.statements);
};
export const convertIntermediateCodes = (intermediateCodes) => {
    return intermediateCodes.reduce((result, intermediateCode) => {
        if (typeof intermediateCode === "string") {
            return [...result, ...stringToStatements(intermediateCode)];
        }
        return result.concat(intermediateCode);
    }, []);
};
//# sourceMappingURL=utils.js.map